<?php

declare(strict_types=1);

namespace PpPhp\Core\Diagnostics\Metadata;

final class DesignerMetadata extends AbstractMetadata
{
    public function templates(): array
    {
        return is_array($this->raw['templates'] ?? null) ? $this->raw['templates'] : [];
    }

    public function renderers(): array
    {
        return is_array($this->raw['renderers'] ?? null) ? $this->raw['renderers'] : [];
    }

}
